From 90c137d4b232fecbcd6bb354f835453ef0fc543a Mon Sep 17 00:00:00 2001
From: Kalle Valo <kvalo@codeaurora.org>
Date: Wed, 29 Jun 2016 13:50:32 +0300
Subject: [PATCH 4/4] cmdtests: stg-single: test commit command

Now that all the issues are fixed we can add a test for commit command in stgit
mode.

Signed-off-by: Kalle Valo <kvalo@codeaurora.org>
---

Copyright (c) 2016, The Linux Foundation.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its
contributors may be used to endorse or promote products derived from
this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 cmdtests/stg-single.script |    9 +++++++++
 cmdtests/stg-single.stdout |   42 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/cmdtests/stg-single.script b/cmdtests/stg-single.script
index 825201deb817..8a46cedc08b2 100755
--- a/cmdtests/stg-single.script
+++ b/cmdtests/stg-single.script
@@ -50,6 +50,15 @@ def main():
    pwcli.sendline('list')
 
    pwcli.expect_prompt()
+   pwcli.sendline('commit 1')
+
+   pwcli.expect(cmdtestlib.PROMPT_COMMIT_ALL)
+   pwcli.sendline('a')
+
+   pwcli.expect(cmdtestlib.PROMPT_COMMIT_ACCEPT)
+   pwcli.sendline('a')
+
+   pwcli.expect_prompt()
    pwcli.sendline('quit')
 
    print ctxt.smtpd.get_mails_as_string()
diff --git a/cmdtests/stg-single.stdout b/cmdtests/stg-single.stdout
index b970b866e713..01cfb79b4a77 100644
--- a/cmdtests/stg-single.stdout
+++ b/cmdtests/stg-single.stdout
@@ -28,5 +28,47 @@ u
 test-branch@data > list
 list
 [  1] 1030 foo: new patch
+test-branch@data > commit 1
+commit 1
+Retrieving patches (1/1) 
+1030 foo: new patch
+------------------------------------------------------------
+1 patches
+commit All/commit Individually/aBort? a
+a
+============================================================
+1 patches applied:
+
+68cc2ed04895 foo: new patch
+
+Accept/request Changes/Reject/Show mail/Edit mail/aBort? a
+a
+1 patches accepted, 0 skipped
+Email sent
 test-branch@data > quit
+mail 0:
+----------------------------------------------------------------------
+test@example.com -> timo@example.com
+Content-Type: text/plain; charset="utf-8"
+MIME-Version: 1.0
+Content-Transfer-Encoding: 7bit
+Subject: Re: foo: new patch
+From: Timo Testi <test@example.com>
+In-Reply-To: <22222@example.com>
+To: Timo Tiger <timo@example.com>
+
+Timo Tiger <timo@example.com> wrote:
+> 
+> Foo commit log. Ignore this text
+> 
+> Signed-off-by: Dino Dinosaurus <dino@example.com>
+
+Thanks, 1 patch applied to data.git:
+
+68cc2ed04895 foo: new patch
+
+-- 
+Sent by pwcli
+http://localhost:8000/1030/
+----------------------------------------------------------------------
 
-- 
1.7.9.5

